/* Memory areas */
MEMORY {
  RAM (xrw)  : ORIGIN = 0x20000000, LENGTH = 20K
  FLASH (rx) : ORIGIN = 0x08000800, LENGTH = 62K
}

/* Define output sections */
SECTIONS {
  /* The program code and other data goes into FLASH */
  .text : {
    KEEP(*(.vectors))
    *(.text)
  } >FLASH
  /* Constant data goes into FLASH */
  .rodata : {
    *(.rodata)	/* constants, strings, etc. */
  } >FLASH
  /* Initialized data goes into RAM and FLASH */
  .data : {
    *(.data)
  } >RAM AT> FLASH
  /* Zeroed and uninitialized data goes into RAM */
  .bss : {
    *(.bss)
    *(.noinit)
  } >RAM
}


